> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismgateway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the public trial policy



## OpenAPI

````yaml /api/openapi.json get /v1/trial-policy
openapi: 3.1.0
info:
  title: Prism API
  version: 1.0.0
  description: >-
    OpenAI-compatible chat, embeddings, image, and asynchronous video APIs with
    Prism billing and policy controls.
servers:
  - url: https://api.prismgateway.io
    description: Production
security: []
paths:
  /v1/trial-policy:
    get:
      tags:
        - Trial
      summary: Get the public trial policy
      responses:
        '200':
          description: Current public trial policy.
          content:
            application/json:
              schema:
                type: object
                required:
                  - version
                  - scope
                  - allowed_models
                  - unlock_topup_minor
                  - policy_hash
                properties:
                  version:
                    type: integer
                    const: 1
                  scope:
                    type: string
                    const: chat
                  allowed_models:
                    type: array
                    items:
                      type: string
                  unlock_topup_minor:
                    type: integer
                    minimum: 1
                  policy_hash:
                    type: string
                    pattern: ^[a-f0-9]{64}$
        '413':
          description: Request body exceeds the configured size limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '500':
          description: The trial policy configuration is invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        default:
          description: The trial policy could not be returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
      security: []
components:
  schemas:
    PrismErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            action:
              type: string
              enum:
                - top_up
                - contact_org_admin
            help_url:
              type: string
              format: uri
            allowed_models:
              type: array
              items:
                type: string
          additionalProperties: true

````